Crazy Eddies GUI System: CEGUI::Imageset_xmlHandler Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::Imageset_xmlHandler Class Reference

Class used to parse the Imageset XML files to create Imageset objects. More...

Inheritance diagram for CEGUI::Imageset_xmlHandler:
[legend]
Collaboration diagram for CEGUI::Imageset_xmlHandler:
[legend]

List of all members.

## Public Member Functions
| Imageset_xmlHandler (const String &filename, const String &resource_group)
| Constructor.
| ~Imageset_xmlHandler ()
| Destructor.
const String & | getObjectName () const
| Return string holding the name of the created Imageset.
Imageset & | getObject () const
| Return reference to the created Imageset object.
void | elementStart (const String &element, const XMLAttributes &attributes)
| Method called to notify the handler at the start of each XML element encountered.
void | elementEnd (const String &element)
| Method called to notify the handler at the end of each XML element encountered.

## Detailed Description

Class used to parse the Imageset XML files to create Imageset objects.

## Member Function Documentation

void CEGUI::Imageset_xmlHandler::elementEnd | ( | const String & | element | ) | `[virtual]`

Method called to notify the handler at the end of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is ending.

Returns:
  Nothing.

Reimplemented from CEGUI::XMLHandler.

void CEGUI::Imageset_xmlHandler::elementStart | ( | const String & | element,
|  | const XMLAttributes & | attributes
| ) |  | `[virtual]`

Method called to notify the handler at the start of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is starting.
  attributes | An XMLAttributes object holding the collection of attributes specified for the element.

Returns:
  Nothing.

Reimplemented from CEGUI::XMLHandler.